
#ifndef PLATFORM_WIN32_INPUT_H
#define PLATFORM_WIN32_INPUT_H

#include <Windows.h>
#include <Platform/PlatformInput.h>

namespace sp {

class Win32Input : public PlatformInput
{
public :
	virtual Keyboard* createKeyboard();

	virtual Mouse* createMouse();

	virtual void update();
};

} // namespace sp

#endif /* PLATFORM_WIN32_INPUT_H */
